TextAreaWidget (base API)
Date: 2019-04-05

com.twosigma.beakerx.easyform.formitem.widgets

## Class TextAreaWidget

- java.lang.Object
- - com.twosigma.beakerx.easyform.EasyFormComponent<com.twosigma.beakerx.widget.Textarea>
  - - com.twosigma.beakerx.easyform.formitem.widgets.TextAreaWidget

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality

      public class TextAreaWidget
      extends EasyFormComponent<com.twosigma.beakerx.widget.Textarea>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Integer` | `AUTO_HEIGHT`
    `static java.lang.Integer` | `AUTO_WIDTH`

    - ### Fields inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `widget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextAreaWidget()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getCols()`
    `java.lang.Integer` | `getHeight()`
    `java.lang.Integer` | `getRows()`
    `java.lang.Integer` | `getWidth()`
    `void` | `setCols(java.lang.Integer cols)`
    `void` | `setHeight(java.lang.Integer height)`
    `void` | `setRows(java.lang.Integer rows)`
    `void` | `setWidth(java.lang.Integer width)`

    - ### Methods inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `addOnChangeListener, addOnInitListener, checkValue, clearListeners, close, fireChanged, fireInit, formatValue, getComm, getLabel, getValue, getWidget, isButton, isEnabled, onChange, onInit, registerUpdateValueCallback, removeOnChangeListener, removeOnInitListener, setEnabled, setLabel, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTO_HEIGHT

          public static final java.lang.Integer AUTO_HEIGHT

    - #### AUTO_WIDTH

          public static final java.lang.Integer AUTO_WIDTH

  - ### Constructor Detail

    - #### TextAreaWidget

          public TextAreaWidget()

  - ### Method Detail

    - #### getCols

          public java.lang.Integer getCols()

    - #### getRows

          public java.lang.Integer getRows()

    - #### getWidth

          public java.lang.Integer getWidth()

    - #### getHeight

          public java.lang.Integer getHeight()

    - #### setCols

          public void setCols(java.lang.Integer cols)

    - #### setRows

          public void setRows(java.lang.Integer rows)

    - #### setWidth

          public void setWidth(java.lang.Integer width)

    - #### setHeight

          public void setHeight(java.lang.Integer height)